# ISSum

Computes the sum (union) of two index sets.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISSum(IS is1,IS is2,IS *is3)

Only sequential version (at the moment)

### Input Parameter

| is1 | - index set to be extended
| is2 | - index values to be added

### Output Parameter

is3 -the sum; this can not be is1 or is2

### Notes

If n1 and n2 are the sizes of the sets, this takes O(n1+n2) time;

Both index sets need to be sorted on input.

### See Also

ISDestroy(), ISView(), ISDifference(), ISExpand()

Level:intermediate
Location: src/vec/is/utils/isdiff.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages